Search Results for

Show / Hide Table of Contents

# Class NetMaskedTextProvider

.Net MaskedTextProvider Provider for TextValidateField.

Wrapper around MaskedTextProvider

Masking elements

##### Inheritance

System.Object
NetMaskedTextProvider

##### Implements

ITextValidateProvider

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.TextValidateProviders

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class NetMaskedTextProvider : ITextValidateProvider

### Constructors

#### NetMaskedTextProvider(String)

Empty Constructor

##### Declaration

    public NetMaskedTextProvider(string mask)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | mask |

### Properties

#### DisplayText

##### Declaration

    public ustring DisplayText { get; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Fixed

##### Declaration

    public bool Fixed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IsValid

##### Declaration

    public bool IsValid { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Mask

Mask property

##### Declaration

    public ustring Mask { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Text

##### Declaration

    public ustring Text { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

### Methods

#### Cursor(Int32)

##### Declaration

    public int Cursor(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorEnd()

##### Declaration

    public int CursorEnd()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorLeft(Int32)

##### Declaration

    public int CursorLeft(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorRight(Int32)

##### Declaration

    public int CursorRight(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorStart()

##### Declaration

    public int CursorStart()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### Delete(Int32)

##### Declaration

    public bool Delete(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean |

#### InsertAt(Char, Int32)

##### Declaration

    public bool InsertAt(char ch, int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char | ch |
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Implements

ITextValidateProvider